// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_BreakStruct.h"
#include "SCW_UK2Node_StructMemberGet.h"

class UK2Node_BreakStruct;

namespace Sourcify
{
	class SCW_UK2Node_BreakStruct : public SCW_UK2Node_StructMemberGet, public virtual ISCW_UK2Node_BreakStruct
	{
	public:
		SCW_UK2Node_BreakStruct(UK2Node_BreakStruct* InK2Node_BreakStruct);

		UK2Node_BreakStruct* ToUK2Node_BreakStruct() const;

		ISCW_UK2Node_BreakStructPtr ToUK2Node_BreakStructPtr() override;
		ISCW_UK2Node_BreakStructConstPtr ToUK2Node_BreakStructPtr() const override;

	protected:
		UK2Node_BreakStruct* K2Node_BreakStruct;
	};
} // namespace Sourcify